#!/bin/sh

while [[ "$1" != "" ]]; do

#echo "`basename \"$1\"` requires:"
APP=`nm "$1" | awk '/^.* U .*@@GLIBC_.*$/ {i=index($0,"@@GLIBC_");print substr($0,i+2)}' | sed 's/ //' | sort | uniq`
#echo "$APP"

#echo
#echo "Your Glibc supports:"
GLIBC=`nm /lib/libc.so.6 | awk '/^.* A GLIBC_.*$/ {i=index($0," A GLIBC_"); print substr($0,i+3)}' | sed 's/ //' | sort | uniq`
#echo "$GLIBC"

#echo
echo -n "Compatible: "
compatible=yes
for S in "$APP"; do
    if ! echo "$APP" | grep "$S" > /dev/null 2>&1; then
        compatible=no
        break;
    fi
done

echo "$compatible"
shift

done
